import { DataPreview, Encode } from './Encode.js';

declare function Table<T extends object>(data: T, deepLink?: false | number, noCollapse?: boolean): {
    readonly table: Record<string, Record<string, DataPreview.objReal[""]["@value"]>>;
    readonly cols: string[];
    readonly "@location"?: string;
    readonly "@collapse"?: ReturnType<typeof Encode>;
};
declare function isTable(data: any): data is ReturnType<typeof Table>;

export { Table, isTable };
